updateDocumentforOffering

NOTICE: THIS ENDPOINT IS NON-FUNCTIONAL. Please use addDocumentforOffering and deleteDocumentforOffering if a document needs to be replaced. This method is used to update a document with a new document for an offering. The existing document will be replaced with the new document.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

ParameterRequiredTypeDescription
clientIDyesstringTransactAPI Client ID
developerAPIKeyyesstringTransactAPI Developer Key
documentIdyesintegerDocument ID that is generated by the API when an offering document is added (addDocumentsforOffering) of the document that is to be updated.
documentTitleyesstringThe new Title/label for the uploaded document
documentFileReferenceCodeyesstringThe new reference code for the uploaded document (can be any number to use for tracking)
file_nameyesstringThe new file name of the uploaded document
updatedIpAddressnostringIP Address of the updateDocumentforOffering method call

Sample Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/updateDocumentforOffering
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d documentId=55593
-d documentTitle=Tagme
-d documentFileReferenceCode=ReferenceCode
-d file_name=mypdf_new.pdf
-d updatedIpAddress=10.0.0.9

Response Parameters

ParameterTypeDescription
statusCodestringAPI Status Code
statusDescstringAPI Status Description
offeringIDintegerOffering ID generated by the API
documentIdintegerDocument ID generated by the API
documentURLstringUploaded document URL

Sample Response

{
  "statusCode": "101",
  "statusDesc": "Ok",
  "document details": [
    {
      "offeringId": "55591",
      "documentId": "62801",
      "documentURL": "https://api-sandboxdash.norcapsecurities.com/stamp/PDF/page27.pdf"
    }
  ]
}

Test it Yourself!

Body Params
string
required
string
required
string
int32
required
string
required
string
required
string
required
string
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!